### Method

# AppStream Relation version_compare

since: 0.12.0

#### Declaration [src]

    gboolean
    as_relation_version_compare (
      AsRelation* relation,
      const gchar* version,
      GError** error
    )

#### Description [src]

Tests whether the version number of this `AsRelation` is fulfilled by `version`. Whether the given version is sufficient to fulfill the version requirement of this `AsRelation` is determined by its comparison resraint.

Available since: 0.12.0

#### Parameters

`version`

  Type: `const gchar*`

  A version number, e.g. `1.2.0`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the version from the parameter is sufficient.